[arch-commits] Commit in luxrender/repos (3 files)

Sven-Hendrik Haase svenstaro at archlinux.org
Tue Dec 22 08:09:25 UTC 2015


    Date: Tuesday, December 22, 2015 @ 09:09:25
  Author: svenstaro
Revision: 154149

archrelease: copy trunk to community-staging-x86_64

Added:
  luxrender/repos/community-staging-x86_64/
  luxrender/repos/community-staging-x86_64/PKGBUILD
    (from rev 154148, luxrender/trunk/PKGBUILD)
  luxrender/repos/community-staging-x86_64/force_python3.diff
    (from rev 154148, luxrender/trunk/force_python3.diff)

--------------------+
 PKGBUILD           |   56 +++++++++++++++++++++++++++++++++++++++++++++++++++
 force_python3.diff |   12 ++++++++++
 2 files changed, 68 insertions(+)

Copied: luxrender/repos/community-staging-x86_64/PKGBUILD (from rev 154148, luxrender/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2015-12-22 08:09:25 UTC (rev 154149)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Lukas Jirkovsky <l.jirkovsky at gmail.com>
+# Contributor: flixie <69one at gmx.net>
+# Contributor: Imanol Celaya <ornitorrincos at archlinux-es.org>
+pkgname=luxrender
+pkgver=1.5
+_pkgver=216e294b59e3
+pkgrel=5
+pkgdesc="Rendering system for physically correct, unbiased image synthesis"
+arch=('x86_64')
+url="http://www.luxrender.net/"
+license=('GPL')
+depends=('boost-libs' 'embree' 'freeimage' 'openexr' 'openimageio' 'libpng' 'libcl' 'libgl' 'fftw')
+optdepends=('luxblend25: Blender exporter' 'qt4: Qt GUI' \
+            'python: pylux Python interface'
+            'opencl-nvidia: OpenCL support for nVidia GPUs' \
+            'amdapp-sdk: OpenCL support for AMD GPUs' \
+            'intel-opencl-runtime: OpenCL support for Intel CPUs')
+makedepends=('cmake' 'boost' 'mesa' 'qt4' "luxrays=$pkgver" 'python' 'opencl-headers')
+source=(https://bitbucket.org/luxrender/lux/get/${_pkgver}.tar.bz2 \
+        force_python3.diff)
+md5sums=('531234aaa2969c3aacf2a69ed7835335'
+         '42692e65eabc5828693e2682e94b7c64')
+
+prepare() {
+  cd "$srcdir"/luxrender-lux-$_pkgver
+
+  patch -Np1 < "$srcdir/force_python3.diff" || true
+}
+
+build() {
+  cd "$srcdir"/luxrender-lux-$_pkgver
+
+
+  cmake . \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DLUXRAYS_DISABLE_OPENCL=OFF \
+    -DPYTHON_CUSTOM=ON \
+    -DPYTHON_LIBRARIES=/usr/lib/libpython3.5m.so \
+    -DPYTHON_INCLUDE_PATH=/usr/include/python3.5m/ \
+    -DCMAKE_EXE_LINKER_FLAGS=-lpthread
+  make
+}
+
+package() {
+  cd "$srcdir"/luxrender-lux-$_pkgver
+  make DESTDIR="$pkgdir" install
+
+  # fix library path on x86_64
+  [ "$CARCH" = "x86_64" ] && mv "$pkgdir"/usr/lib64 "$pkgdir"/usr/lib
+
+  # install pylux
+  install -D -m644 pylux.so "$pkgdir"/usr/lib/python3.5/pylux.so
+}
+
+# vim:set ts=2 sw=2 et:

Copied: luxrender/repos/community-staging-x86_64/force_python3.diff (from rev 154148, luxrender/trunk/force_python3.diff)
===================================================================
--- community-staging-x86_64/force_python3.diff	                        (rev 0)
+++ community-staging-x86_64/force_python3.diff	2015-12-22 08:09:25 UTC (rev 154149)
@@ -0,0 +1,12 @@
+diff -rup luxrender-lux-d0b0e20c47cc/cmake/Dependencies.cmake luxrender-lux-d0b0e20c47cc.new/cmake/Dependencies.cmake
+--- luxrender-lux-d0b0e20c47cc/cmake/Dependencies.cmake	2013-11-04 22:25:45.000000000 +0100
++++ luxrender-lux-d0b0e20c47cc.new/cmake/Dependencies.cmake	2013-12-05 19:43:23.414625854 +0100
+@@ -156,7 +156,7 @@ IF(MSVC AND BOOST_python_LIBRARYDIR)
+ 	SET(BOOST_LIBRARYDIR "${BOOST_python_LIBRARYDIR}")
+ ENDIF(MSVC AND BOOST_python_LIBRARYDIR)
+ 
+-FIND_PACKAGE(Boost ${Boost_MINIMUM_VERSION} COMPONENTS python REQUIRED)
++FIND_PACKAGE(Boost ${Boost_MINIMUM_VERSION} COMPONENTS python3 REQUIRED)
+ 
+ IF(MSVC AND BOOST_python_LIBRARYDIR)
+ 	SET(BOOST_LIBRARYDIR "${_boost_libdir}")



More information about the arch-commits mailing list